import tensorflow as tf

# tf.placeholder(dtype, shape=None, name=None)
# None : 정하지 않은 것. 어떤 것도 가능하다는 의미
tensor_a = tf.placeholder(tf.float32)
tensor_b = tf.placeholder(tf.float32)

# tensor_c = tensor_a - tensor_b 와 같은 의미
tensor_c = tf.subtract(tensor_a, tensor_b)

# 상수 오퍼레이션이 아닌 Placeholder 오퍼레이션
print(tf.get_default_graph().get_operations())

sess = tf.Session()
print(sess.run(tensor_c, feed_dict={tensor_a: 3, tensor_b: 2.5}))
print(sess.run(tensor_c, feed_dict={tensor_a: [3,4], tensor_b: [2,1]}))   # share가 [2, 2] 형태도 가능